# Interface ErrorModeSelection

public interface ErrorModeSelection
Supplies an ErrorMode.

Since:
  1 Apr 2008
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`void`
`addActionListener(ActionListener listener)`
Adds a listener which will be notified if the selected mode changes.
`ErrorMode`
`getErrorMode()`
Returns an error mode associated with this object.
`void`
`removeActionListener(ActionListener listener)`
Removes a listener added earlier.

## Method Details

### getErrorMode

ErrorMode getErrorMode()
Returns an error mode associated with this object.

Returns:
  error mode

### addActionListener

void addActionListener(ActionListener listener)
Adds a listener which will be notified if the selected mode changes.

Parameters:
  `listener` - listener to add

### removeActionListener

void removeActionListener(ActionListener listener)
Removes a listener added earlier.

Parameters:
  `listener` - listener to remove